Page MenuHomePhabricator

Enable various core modules for mobile to make UploadWizard work
Closed, ResolvedPublic

Description

Except jQuery UI most of the modules used by UploadWizard in core seem harmless.
These are:

  • mediawiki.api.watch
  • mediawiki.libs.jpegmeta
  • jquery.tipsy
  • jquery.arrowSteps
  • mediawiki.api.parse
  • mediawiki.api.category

The following modules are large but can probably be acceptably loaded on mobile provided they are not loaded by default. This will need some investigation.

  • jquery.validate
  • mediawiki.feedback

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Jdlrobson, Aklapper, kaldari and 3 others.

Change 206495 had a related patch set uploaded (by Jdlrobson):
WIP: Add target=>mobile to some reviewed RL modules

https://gerrit.wikimedia.org/r/206495

Jdlrobson updated the task description. (Show Details)Apr 25 2015, 12:57 AM
Jdlrobson set Security to None.
Jdlrobson edited projects, added MediaWiki-ResourceLoader; removed Readers-Web-Backlog.

Change 206495 abandoned by Jdlrobson:
WIP: Add target=>mobile to some reviewed RL modules

https://gerrit.wikimedia.org/r/206495

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 1 2015, 6:05 PM
MarkTraceur triaged this task as Normal priority.Jul 29 2015, 5:00 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:23 PM

UW no longer uses jquery.ui (except for jquery.ui.selectable for Flickr uploads), will stop using jquery.validate after T96917 and T118906 and https://gerrit.wikimedia.org/r/#/c/254048/, and will stop using jquery.tipsy after T115637.

matmarex claimed this task.Jul 17 2016, 8:38 PM

jquery.ui.selectable is also soon to be gone per T140581.

Change 296833 had a related patch set uploaded (by Bartosz Dziewoński):
Add 'targets' => [ 'desktop', 'mobile' ] to all UploadWizard dependencies

https://gerrit.wikimedia.org/r/296833

Change 296833 merged by jenkins-bot:
Add 'targets' => [ 'desktop', 'mobile' ] to all UploadWizard dependencies

https://gerrit.wikimedia.org/r/296833

Change 302740 had a related patch set uploaded (by Bartosz Dziewoński):
Add "targets": [ "desktop", "mobile" ] to 'mediawiki.api.titleblacklist' module

https://gerrit.wikimedia.org/r/302740

Change 302740 merged by jenkins-bot:
Add "targets": [ "desktop", "mobile" ] to 'mediawiki.api.titleblacklist' module

https://gerrit.wikimedia.org/r/302740

matmarex closed this task as Resolved.Aug 3 2016, 5:15 PM
matmarex removed a project: Patch-For-Review.